Package Search Help

You can use boolean logic (e.g. AND/OR/NOT) for complex search queries. For more help and examples, see the search documentation.

Search by package name:
my-package (implicit)
name:my-package (explicit)

Search by package filename:
my-package.ext (implicit)
filename:my-package.ext (explicit)

Search by package tag:
latest (implicit)
tag:latest (explicit)

Search by package version:
1.0.0 (implicit)
version:1.0.0 (explicit)
prerelease:true (prereleases)
prerelease:false (no prereleases)

Search by package architecture:
architecture:x86_64 

Search by package distribution:
distribution:el 

Search by package license:
license:MIT 

Search by package format:
format:deb 

Search by package status:
status:in_progress 

Search by package file checksum:
checksum:5afba 

Search by package security status:
severity:critical 

Search by package vulnerabilities:
vulnerabilities:>1 
vulnerabilities:<1000 

Search by package downloads:
downloads:>8 
downloads:<100 

Search by package type:
type:binary 
type:source 

Search by package size (bytes):
size:>50000 
size:<10000 

Search by dependency name:
dependency:log4j 

Search by uploaded date:
uploaded:>"1 day ago" 
uploaded:<"August 14, 2018 EST" 

Search by entitlement token (identifier):
entitlement:3lKPVJPosCsY 

Search queries for all Maven-specific (and related) package types

Search by group ID:
maven_group_id:org.apache 

Field type modifiers (depending on the type, you can influence behaviour)

For all queries, you can use:
~foo for negation

For string queries, you can use:
^foo to anchor to start of term
foo$ to anchor to end of term
foo*bar for fuzzy matching

For number/date queries, you can use:
>foo for values greater than
>=foo for values greater / equal
<foo for values less than
<=foo for values less / equal

Need a secure and centralised artifact repository to deliver Alpine, Cargo, CocoaPods, Composer, Conan, Conda, CRAN, Dart, Debian, Docker, Go, Helm, LuaRocks, Maven, npm, NuGet, P2, Python, RedHat, Ruby, Terraform, Vagrant, Raw & More packages?

Cloudsmith is the new standard in Package / Artifact Management and Software Distribution.

With support for all major package formats, you can trust us to manage your software supply chain.

Start My Free Trial
 Public spatialos spatialos / gdk-for-unity
GDK for Unity: NPM packages to be used with the SpatialOS GDK for Unity

npm logo io.improbable.gdk.testutils  0.2.7

One-liner (summary)

No summary - See description for more info.

Description

SpatialOS GDK Test Utils.

License

Unknown

Size

7.8 KB

Downloads

432

Tags

npm tgz

Status  Completed
Checksum (MD5) ddd9fe17abdd1f228dd2cdcb04939cd2
Checksum (SHA-1) cd457c391a088ce8d2170cf6ffe0c59d15783e58
Checksum (SHA-256) a1e9e0a8ef25808d790d954c299a3b8a53c0837f6b864ed4cd2ae37a0dc53ca0
Checksum (SHA-512) 8bcd6733a54d946e20a7c091de32e345b21028ee299535164d519c4a048d1ca6c4…
GPG Signature
Storage Region Default Region
Type  Source (contains source code or documentation)
Uploaded At 3 years, 5 months ago
Uploaded By Fetched by Cloudsmith
Slug Id ioimprobablegdktestutils-027tgz
Unique Id EdJ8rKtQPw6A
Version (Raw) 0.2.7
Version (Parsed)
  • Major: 0
  • Minor: 2
  • Patch: 7
  • Type: SemVer (Strict)
  extended metadata
Package 100% Valid
Dependencies 'io.improbable.gdk.core' '0.2.7'
pkg io.improbable.gdk.testutils-0.2… 432
7.8 KB
md5 sha1 sha256 sha512
Package Contents (io.improbable.gdk.testutils-0.2.7.tgz)
Loading...

This package has 29 files/directories.

 Newer npm logo
io.improbable.gdk.testutils
 0.4.0
1216 gdk-for-unity-bot-dogbot
 Newer npm logo
io.improbable.gdk.testutils
 0.3.10
npm tgz
256 gdk-for-unity-bot-dogbot
 Newer npm logo
io.improbable.gdk.testutils
 0.3.9
npm tgz
214 gdk-for-unity-bot-dogbot
 Newer npm logo
io.improbable.gdk.testutils
 0.3.8
npm tgz
60 gdk-for-unity-bot-dogbot
 Newer npm logo
io.improbable.gdk.testutils
 0.3.7
npm tgz
174 gdk-for-unity-bot-dogbot
 Newer npm logo
io.improbable.gdk.testutils
 0.3.6
npm tgz
198 gdk-for-unity-bot-dogbot
 Newer npm logo
io.improbable.gdk.testutils
 0.3.5
npm tgz
292 gdk-for-unity-bot-dogbot
 Newer npm logo
io.improbable.gdk.testutils
 0.3.4
npm tgz
462 gdk-for-unity-bot-dogbot
 Newer npm logo
io.improbable.gdk.testutils
 0.3.3
npm tgz
163 gdk-for-unity-bot-dogbot
 Newer npm logo
io.improbable.gdk.testutils
 0.3.2
npm tgz
258 gdk-for-unity-bot-dogbot
 Newer npm logo
io.improbable.gdk.testutils
 0.3.1
npm tgz
444 gdk-for-unity-bot-dogbot
 Newer npm logo
io.improbable.gdk.testutils
 0.3.0
npm tgz
318 gdk-for-unity-bot-dogbot
 Newer npm logo
io.improbable.gdk.testutils
 0.2.10
npm tgz
538 gdk-for-unity-bot-dogbot
 Newer npm logo
io.improbable.gdk.testutils
 0.2.9
npm tgz
420 paul
 Newer npm logo
io.improbable.gdk.testutils
 0.2.8
npm tgz
300 paul
  npm logo
io.improbable.gdk.testutils
 0.2.7
npm tgz
432 Fetched by Cloudsmith
 Newer npm logo
io.improbable.gdk.testutils
 0.4.0
1216 gdk-for-unity-bot-dogbot
 Older npm logo
io.improbable.gdk.testutils
 0.2.6
npm tgz
265 Fetched by Cloudsmith
 Older npm logo
io.improbable.gdk.testutils
 0.2.5
npm tgz
280 Fetched by Cloudsmith

Security Scanning:
You can't see this because your subscription doesn't include this feature, sorry!

With Security Scanning, Cloudsmith will scan your artefacts for vulnerabilities when they're uploaded. These are then presented to you via the UI and the API, so that you can build rules into your CI/CD pipelines to decide how to handle low, medium, high and critical software vulnerabilities.

If you'd like to trial or ask about the Security Scanning feature, just ask us. We'll be happy to help!

Last scanned

13 hours ago

Scan result

Vulnerable

Vulnerability count

5

Max. severity

High
Target:
HIGH

CVE-2936-34871: library: vulnerability title



Package Name: package_name
Installed Version: 1.1.17
Fixed Version: 2.5.23

References: owens.com www.davis.com clark.com
MEDIUM

CVE-8897-44664: library: vulnerability title



Package Name: package_name
Installed Version: 1.9.85
Fixed Version: 2.3.38

References: barron.com www.moody.com olson-lozano.net
MEDIUM

CVE-7940-86440: library: vulnerability title



Package Name: package_name
Installed Version: 1.6.99
Fixed Version: 2.9.91

References: www.carter.com www.smith.com trevino.info
MEDIUM

CVE-1512-81697: library: vulnerability title



Package Name: package_name
Installed Version: 1.7.65
Fixed Version: 2.4.49

References: allison.com www.leonard.biz wood-snow.net
LOW

CVE-3099-96199: library: vulnerability title



Package Name: package_name
Installed Version: 1.1.22
Fixed Version: 2.6.75

References: brewer.com www.calderon.biz valdez.com

You can embed a badge in another website that shows this or the latest version of this package.

To embed the badge for this specific package version, use the following:

[![This version of 'io.improbable.gdk.testutils' @ Cloudsmith](https://api-prd.cloudsmith.io/v1/badges/version/spatialos/gdk-for-unity/npm/io.improbable.gdk.testutils/0.2.7/x/?render=true)](https://cloudsmith.io/~spatialos/repos/gdk-for-unity/packages/detail/npm/io.improbable.gdk.testutils/0.2.7/)
|This version of 'io.improbable.gdk.testutils' @ Cloudsmith|
.. |This version of 'io.improbable.gdk.testutils' @ Cloudsmith| image:: https://api-prd.cloudsmith.io/v1/badges/version/spatialos/gdk-for-unity/npm/io.improbable.gdk.testutils/0.2.7/x/?render=true
   :target: https://cloudsmith.io/~spatialos/repos/gdk-for-unity/packages/detail/npm/io.improbable.gdk.testutils/0.2.7/
image::https://api-prd.cloudsmith.io/v1/badges/version/spatialos/gdk-for-unity/npm/io.improbable.gdk.testutils/0.2.7/x/?render=true[link="https://cloudsmith.io/~spatialos/repos/gdk-for-unity/packages/detail/npm/io.improbable.gdk.testutils/0.2.7/",title="This version of 'io.improbable.gdk.testutils' @ Cloudsmith"]
<a href="https://cloudsmith.io/~spatialos/repos/gdk-for-unity/packages/detail/npm/io.improbable.gdk.testutils/0.2.7/"><img src="https://api-prd.cloudsmith.io/v1/badges/version/spatialos/gdk-for-unity/npm/io.improbable.gdk.testutils/0.2.7/x/?render=true" alt="This version of 'io.improbable.gdk.testutils' @ Cloudsmith" /></a>

rendered as: This version of 'io.improbable.gdk.testutils' @ Cloudsmith

To embed the badge for the latest package version, use the following:

[![Latest version of 'io.improbable.gdk.testutils' @ Cloudsmith](https://api-prd.cloudsmith.io/v1/badges/version/spatialos/gdk-for-unity/npm/io.improbable.gdk.testutils/latest/x/?render=true&show_latest=true)](https://cloudsmith.io/~spatialos/repos/gdk-for-unity/packages/detail/npm/io.improbable.gdk.testutils/latest/)
|Latest version of 'io.improbable.gdk.testutils' @ Cloudsmith|
.. |Latest version of 'io.improbable.gdk.testutils' @ Cloudsmith| image:: https://api-prd.cloudsmith.io/v1/badges/version/spatialos/gdk-for-unity/npm/io.improbable.gdk.testutils/latest/x/?render=true&show_latest=true
   :target: https://cloudsmith.io/~spatialos/repos/gdk-for-unity/packages/detail/npm/io.improbable.gdk.testutils/latest/
image::https://api-prd.cloudsmith.io/v1/badges/version/spatialos/gdk-for-unity/npm/io.improbable.gdk.testutils/latest/x/?render=true&show_latest=true[link="https://cloudsmith.io/~spatialos/repos/gdk-for-unity/packages/detail/npm/io.improbable.gdk.testutils/latest/",title="Latest version of 'io.improbable.gdk.testutils' @ Cloudsmith"]
<a href="https://cloudsmith.io/~spatialos/repos/gdk-for-unity/packages/detail/npm/io.improbable.gdk.testutils/latest/"><img src="https://api-prd.cloudsmith.io/v1/badges/version/spatialos/gdk-for-unity/npm/io.improbable.gdk.testutils/latest/x/?render=true&show_latest=true" alt="Latest version of 'io.improbable.gdk.testutils' @ Cloudsmith" /></a>

rendered as: Latest version of 'io.improbable.gdk.testutils' @ Cloudsmith

These instructions assume you have setup the repository first (or read it).

To install/use io.improbable.gdk.testutils @ version 0.2.7 ...

npm install 'io.improbable.gdk.testutils@0.2.7'

You can also install the latest version of this package:

npm install 'io.improbable.gdk.testutils'

If necessary, you can specify the registry directly:

npm install \
  --registry=https://npm.improbable.io/gdk-for-unity/ \
  'io.improbable.gdk.testutils@0.2.7'

Alternatively, you can add it to dependencies in your project package.json file:

{ "dependencies": { "io.improbable.gdk.testutils": "0.2.7" } }

If you're using yarn, you need to add always-auth to your user or project .npmrc:

always-auth
Warning: We highly recommend using npm dependencies in your own project rather than installing directly.
Top